Bug 496305 - GeForce4 440 Go 64M: On Compaq R3000 laptop, some resolutions corrupt.
GeForce4 440 Go 64M: On Compaq R3000 laptop, some resolutions corrupt.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_NV17
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 13:56 EDT by Phillip Ezolt
Modified: 2018-04-11 09:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log output (281.71 KB, text/plain)
2009-04-17 13:56 EDT, Phillip Ezolt
no flags Details
lspci output (7.18 KB, text/plain)
2009-04-17 13:58 EDT, Phillip Ezolt
no flags Details
lspci -nn output (2.10 KB, text/plain)
2009-04-17 17:08 EDT, Phillip Ezolt
no flags Details

  None (edit)
Description Phillip Ezolt 2009-04-17 13:56:56 EDT
Created attachment 340057 [details]
Xorg log output

Description of problem:
  I have a Compaq R3000 laptop with a built in 1680x1050 screen. When I use
xrandr to change to some resolutions other than 1680x1050, the screen is
corrupted (and an unreadable).  It looks as if the lines have been wrapped
at the wrong location. 

Here's the (annotated) xrandr output: 

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
VGA-0 disconnected
LVDS-0 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm

   1680x1050      59.9*+ (Works)
   1400x1050      60.0   (Corrupt.. Looks as if the lines were wrapped at the wrong place.) 
   1280x1024      60.0  (Corrupt.. Looks as if the lines were wrapped at the wrong place.) 
   1280x960       60.0  (Corrupt.. Looks as if the lines were wrapped at the wrong place.) 
   1024x768       60.0  (Corrupt.. Looks as if the lines were wrapped at the wrong place.) 
   800x600        60.3  (Works)
   640x480        59.9  (Works)


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-26.20090413git7100c06.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot up. 
2. xrandr -s 1 (etc)
3.
  
Actual results:
Corrupted screen.

Expected results:
Readable screen. 

Additional info:
Comment 1 Phillip Ezolt 2009-04-17 13:58:04 EDT
Created attachment 340058 [details]
lspci output
Comment 2 Phillip Ezolt 2009-04-17 14:08:09 EDT
So, FWIW, if I set 'xrandr --output LVDS-0 --set SCALING_MODE noscale', everything
shows up fine. (But the output doesn't span the whole screen.)

Also, if I set 'xrandr --output LVDS-0 --set SCALING_MODE fullscreen', things
MOSTLY work, but there are font corruptions at:
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9 
"

Whatever I can hack to help, just ask.
Comment 3 Adam Williamson 2009-04-17 17:02:59 EDT
Thanks for the report. lspci -nn may be slightly more use than lspci, btw.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Phillip Ezolt 2009-04-17 17:08:28 EDT
Created attachment 340088 [details]
lspci -nn output

Add the requested info...
Comment 5 Bug Zapper 2009-06-09 10:01:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ben Skeggs 2009-08-23 22:51:57 EDT
Do you still see the same problems with the latest versions of everything in F11, or rawhide even?
Comment 7 Matěj Cepl 2009-11-05 13:26:43 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Phillip Ezolt 2009-11-05 14:38:25 EST
Sorry I've been MIA. 

I'll give it a try tonight.
Comment 9 Phillip Ezolt 2009-11-09 08:54:18 EST
As of last Friday (Nov 6, 2009), I ran:
'yum upgrade --enable-repo='*-updates-testing''

The problem still exists exactly as I originally described it.
Comment 10 Bug Zapper 2010-04-27 09:44:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:53:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.